Skip to main content
PUT
/
reports
/
{id}
Update an existing report
curl --request PUT \
  --url https://app.leadconduit.com/reports/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "columns": [
    {
      "source-submitted": 123,
      "source-success": 123,
      "source-failure": 123,
      "source-error": 123,
      "recipient-submitted": 123,
      "recipient-success": 123,
      "recipient-failure": 123,
      "recipient-error": 123,
      "return-received-submitted": 123,
      "return-received-success": 123,
      "return-received-failure": 123,
      "return-received-error": 123,
      "return-sent-submitted": 123,
      "return-sent-success": 123,
      "return-sent-failure": 123,
      "return-sent-error": 123,
      "conversion-received-submitted": 123,
      "conversion-received-success": 123,
      "conversion-received-failure": 123,
      "conversion-received-error": 123,
      "conversion-sent-submitted": 123,
      "conversion-sent-success": 123,
      "conversion-sent-failure": 123,
      "conversion-sent-error": 123,
      "ping-submitted": 123,
      "ping-success": 123,
      "ping-success-rate": 123,
      "ping-win-rate": 123,
      "cost": 123,
      "revenue": 123,
      "profit": 123,
      "cost-per-conversion-received-success": 123,
      "avg-cost-per-lead": 123,
      "avg-revenue-per-lead": 123
    }
  ],
  "rules": [
    {
      "lhv": "<string>",
      "op": "is equal to",
      "rhv": "<string>"
    }
  ],
  "group_by": [
    "<string>"
  ],
  "token": "<string>"
}
'
{
  "name": "<string>",
  "description": "<string>",
  "columns": [
    {
      "source-submitted": 123,
      "source-success": 123,
      "source-failure": 123,
      "source-error": 123,
      "recipient-submitted": 123,
      "recipient-success": 123,
      "recipient-failure": 123,
      "recipient-error": 123,
      "return-received-submitted": 123,
      "return-received-success": 123,
      "return-received-failure": 123,
      "return-received-error": 123,
      "return-sent-submitted": 123,
      "return-sent-success": 123,
      "return-sent-failure": 123,
      "return-sent-error": 123,
      "conversion-received-submitted": 123,
      "conversion-received-success": 123,
      "conversion-received-failure": 123,
      "conversion-received-error": 123,
      "conversion-sent-submitted": 123,
      "conversion-sent-success": 123,
      "conversion-sent-failure": 123,
      "conversion-sent-error": 123,
      "ping-submitted": 123,
      "ping-success": 123,
      "ping-success-rate": 123,
      "ping-win-rate": 123,
      "cost": 123,
      "revenue": 123,
      "profit": 123,
      "cost-per-conversion-received-success": 123,
      "avg-cost-per-lead": 123,
      "avg-revenue-per-lead": 123
    }
  ],
  "rules": [
    {
      "lhv": "<string>",
      "op": "is equal to",
      "rhv": "<string>"
    }
  ],
  "group_by": [
    "<string>"
  ],
  "token": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required

ID or token of the report to fetch 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Body

application/json

Update an existing report

A report is a named definition of criteria (columns, rules, group_bys) which is stored. A stored report can be run for a given timeframe, producing the report results. The results are a count of the events for each column in that timeframe that match the rules and which are optionally grouped by event properties.

Reports can be shared outside LeadConduit such that anyone who has the URL to the shared report can view it without authentication. Each shared report URL contains a generated, unique, unguessable token, which is stored as a property in the report definition. To create the token for a report, use the share endpoint. To stop sharing a report, use the unshare endpoint, which will clear the token.'

name
string

required name of the report

description
string

optional extra description

columns
Report Column · object[]

Array of report columns

rules
object[]

rules to match events to include

group_by
string[]

group results by these event properties

token
string

identifier used for sharing

Response

200 - application/json

created

A report is a named definition of criteria (columns, rules, group_bys) which is stored. A stored report can be run for a given timeframe, producing the report results. The results are a count of the events for each column in that timeframe that match the rules and which are optionally grouped by event properties.

Reports can be shared outside LeadConduit such that anyone who has the URL to the shared report can view it without authentication. Each shared report URL contains a generated, unique, unguessable token, which is stored as a property in the report definition. To create the token for a report, use the share endpoint. To stop sharing a report, use the unshare endpoint, which will clear the token.'

name
string

required name of the report

description
string

optional extra description

columns
Report Column · object[]

Array of report columns

rules
object[]

rules to match events to include

group_by
string[]

group results by these event properties

token
string

identifier used for sharing

created_at
string<date-time>

Time report was created

updated_at
string<date-time>

Time report was last updated